package intrinsic.adobe.utils;

public class ProductManager extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public String installedVersion;
	public boolean running;
	public boolean installed;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ProductManager() {
}

public ProductManager(Object arg0) {
}


/** Static Methods */

/** Methods */
public native boolean launch();
public native boolean download();
public native boolean download(String arg0);
public native boolean download(String arg0, String arg1);
public native boolean download(String arg0, String arg1, intrinsic.Array arg2);

}
